ros-jazzy-rmw-implementation (2.15.3-1noblebb1) noble-ros; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-24.04/2.15.3-1noblebb1

 -- chenzhaoqi <zhaoqi.chen@spacemit.com>  Mon, 21 Oct 2024 11:49:10 +0800

ros-jazzy-rmw-implementation (2.15.3-1noble) noble; urgency=high



 -- William Woodall <william@openrobotics.org>  Thu, 27 Jun 2024 00:00:00 -0000

ros-jazzy-rmw-implementation (2.15.2-1noble) noble; urgency=high

  * Update quality declaration document (#225 <https://github.com/ros2/rmw_implementation/issues/225>) (#226 <https://github.com/ros2/rmw_implementation/issues/226>)
  * Contributors: mergify[bot]

 -- William Woodall <william@openrobotics.org>  Wed, 24 Apr 2024 00:00:00 -0000

ros-jazzy-rmw-implementation (2.15.1-1noble) noble; urgency=high



 -- William Woodall <william@openrobotics.org>  Thu, 28 Mar 2024 00:00:00 -0000

ros-jazzy-rmw-implementation (2.15.0-1noble) noble; urgency=high

  * Switch to using target_link_libraries everywhere. (#222 <https://github.com/ros2/rmw_implementation/issues/222>)
  * Contributors: Chris Lalancette

 -- William Woodall <william@openrobotics.org>  Tue, 26 Dec 2023 00:00:00 -0000

ros-jazzy-rmw-implementation (2.14.0-1noble) noble; urgency=high

  * Add rmw_count_clients,services & test (#208 <https://github.com/ros2/rmw_implementation/issues/208>)
  * Contributors: Minju, Lee

 -- William Woodall <william@openrobotics.org>  Wed, 04 Oct 2023 00:00:00 -0000

ros-jazzy-rmw-implementation (2.13.0-1noble) noble; urgency=high



 -- William Woodall <william@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-jazzy-rmw-implementation (2.12.0-1noble) noble; urgency=high

  * Dynamic Subscription (BONUS: Allocators): rmw_implementation (#219 <https://github.com/ros2/rmw_implementation/issues/219>)
  * Runtime Interface Reflection: rmw_implementation (#215 <https://github.com/ros2/rmw_implementation/issues/215>)
  * Mark the benchmark _ variables as unused. (#218 <https://github.com/ros2/rmw_implementation/issues/218>)
  * Contributors: Chris Lalancette, methylDragon

 -- William Woodall <william@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-jazzy-rmw-implementation (2.11.0-1noble) noble; urgency=high

  * Update rmw_implementation to C++17. (#214 <https://github.com/ros2/rmw_implementation/issues/214>)
  * [rolling] Update maintainers - 2022-11-07 (#212 <https://github.com/ros2/rmw_implementation/issues/212>)
  * Build-time RMW selection does not need ament_index_cpp (#210 <https://github.com/ros2/rmw_implementation/issues/210>)
  * Contributors: Audrow Nash, Chris Lalancette, G.A. vd. Hoorn

 -- William Woodall <william@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-jazzy-rmw-implementation (2.10.0-1noble) noble; urgency=high

  * Add rmw_get_gid_for_client & tests (#206 <https://github.com/ros2/rmw_implementation/issues/206>)
  * Contributors: Brian

 -- William Woodall <william@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-jazzy-rmw-implementation (2.9.1-1noble) noble; urgency=high



 -- William Woodall <william@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-jazzy-rmw-implementation (2.9.0-1noble) noble; urgency=high



 -- William Woodall <william@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-jazzy-rmw-implementation (2.8.1-1noble) noble; urgency=high

  * add content-filtered-topic interfaces (#181 <https://github.com/ros2/rmw_implementation/issues/181>)
  * Add rmw_feature_supported() (#204 <https://github.com/ros2/rmw_implementation/issues/204>)
  * Contributors: Chen Lihui, Ivan Santiago Paunovic

 -- William Woodall <william@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-jazzy-rmw-implementation (2.8.0-1noble) noble; urgency=high

  * Add EventsExecutor (#161 <https://github.com/ros2/rmw_implementation/issues/161>)
  * Contributors: iRobot ROS

 -- William Woodall <william@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-jazzy-rmw-implementation (2.7.1-1noble) noble; urgency=high

  * Fix relative path include syntax for cpplint (#203 <https://github.com/ros2/rmw_implementation/issues/203>)
  * Support and prefer exported targets from rmw implementations (#201 <https://github.com/ros2/rmw_implementation/issues/201>)
  * Contributors: Jacob Perron, Shane Loretz

 -- William Woodall <william@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-jazzy-rmw-implementation (2.7.0-1noble) noble; urgency=high

  * Add client/service QoS getters. (#196 <https://github.com/ros2/rmw_implementation/issues/196>)
  * Update maintainers to Audrow Nash and Michael Carroll. (#199 <https://github.com/ros2/rmw_implementation/issues/199>)
  * Contributors: Audrow Nash, mauropasse

 -- William Woodall <william@openrobotics.org>  Fri, 19 Nov 2021 00:00:00 -0000

ros-jazzy-rmw-implementation (2.6.1-1noble) noble; urgency=high

  * Fix renamed rcpputils header (#198 <https://github.com/ros2/rmw_implementation/issues/198>)
  * Fix rmw_implementation generated documentation (#197 <https://github.com/ros2/rmw_implementation/issues/197>)
  * Contributors: Abrar Rahman Protyasha, Michel Hidalgo

 -- William Woodall <william@openrobotics.org>  Thu, 18 Nov 2021 00:00:00 -0000

ros-jazzy-rmw-implementation (2.6.0-1noble) noble; urgency=high

  * Add rmw_publisher_wait_for_all_acked. (#188 <https://github.com/ros2/rmw_implementation/issues/188>)
  * Contributors: Barry Xu

 -- William Woodall <william@openrobotics.org>  Mon, 09 Aug 2021 00:00:00 -0000

ros-jazzy-rmw-implementation (2.5.0-1noble) noble; urgency=high

  * Attempt to load any available RMW implementation. (#189 <https://github.com/ros2/rmw_implementation/issues/189>)
  * Update includes after rcutils/get_env.h deprecation (#190 <https://github.com/ros2/rmw_implementation/issues/190>)
  * Contributors: Chris Lalancette, Christophe Bedard

 -- William Woodall <william@openrobotics.org>  Wed, 05 May 2021 00:00:00 -0000

ros-jazzy-rmw-implementation (2.4.1-1noble) noble; urgency=high



 -- William Woodall <william@openrobotics.org>  Fri, 16 Apr 2021 00:00:00 -0000

ros-jazzy-rmw-implementation (2.4.0-1noble) noble; urgency=high

  * Unique network flows (#170 <https://github.com/ros2/rmw_implementation/issues/170>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#185 <https://github.com/ros2/rmw_implementation/issues/185>)
  * Contributors: Ananya Muddukrishna, shonigmann

 -- William Woodall <william@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-jazzy-rmw-implementation (2.3.0-1noble) noble; urgency=high

  * Remove rmw_connext_cpp. (#183 <https://github.com/ros2/rmw_implementation/issues/183>)
  * Add support for rmw_connextdds (#182 <https://github.com/ros2/rmw_implementation/issues/182>)
  * Contributors: Andrea Sorbini, Chris Lalancette

 -- William Woodall <william@openrobotics.org>  Thu, 25 Mar 2021 00:00:00 -0000

ros-jazzy-rmw-implementation (2.2.0-1noble) noble; urgency=high

  * Add function for checking QoS profile compatibility (#180 <https://github.com/ros2/rmw_implementation/issues/180>)
  * Shorten some excessively long lines of CMake (#179 <https://github.com/ros2/rmw_implementation/issues/179>)
  * Add rmw_fastrtps_dynamic_cpp to the explicit group deps (#177 <https://github.com/ros2/rmw_implementation/issues/177>)
  * Contributors: Jacob Perron, Scott K Logan

 -- William Woodall <william@openrobotics.org>  Mon, 08 Mar 2021 00:00:00 -0000

ros-jazzy-rmw-implementation (2.1.2-1noble) noble; urgency=high

  * Accept any RMW implementation, not just the default (#172 <https://github.com/ros2/rmw_implementation/issues/172>)
  * Contributors: Scott K Logan

 -- William Woodall <william@openrobotics.org>  Fri, 29 Jan 2021 00:00:00 -0000

ros-jazzy-rmw-implementation (2.1.1-1noble) noble; urgency=high

  * Defer path resolution of rmw implementation libraries to dynamic linker. (#169 <https://github.com/ros2/rmw_implementation/issues/169>)
  * Contributors: Michel Hidalgo

 -- William Woodall <william@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-jazzy-rmw-implementation (2.1.0-1noble) noble; urgency=high

  * Update QD to QL 1 (#166 <https://github.com/ros2/rmw_implementation/issues/166>)
  * Fix up C functions to never throw. (#149 <https://github.com/ros2/rmw_implementation/issues/149>)
  * Restored Dirk as author (#155 <https://github.com/ros2/rmw_implementation/issues/155>)
  * Update maintainers (#154 <https://github.com/ros2/rmw_implementation/issues/154>)
  * Updated performance QD section (#153 <https://github.com/ros2/rmw_implementation/issues/153>)
  * Update Quality Declaration to QL2. (#151 <https://github.com/ros2/rmw_implementation/issues/151>)
  * Add nominal test for symbol prefetch() and unload. (#145 <https://github.com/ros2/rmw_implementation/issues/145>)
  * Added benchmark test to rmw_implementation (#127 <https://github.com/ros2/rmw_implementation/issues/127>)
  * Test load and lookup functionality. (#135 <https://github.com/ros2/rmw_implementation/issues/135>)
  * Contributors: Alejandro Hernández Cordero, Michel Hidalgo, Stephen Brawner

 -- William Woodall <william@openrobotics.org>  Thu, 10 Dec 2020 00:00:00 -0000

ros-jazzy-rmw-implementation (2.0.0-1noble) noble; urgency=high

  * Remove domain_id and localhost_only from node API (#114 <https://github.com/ros2/rmw_implementation/issues/114>)
  * Move the quality declaration into the rmw_implementation subdirectory. (#111 <https://github.com/ros2/rmw_implementation/issues/111>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic

 -- William Woodall <william@openrobotics.org>  Wed, 08 Jul 2020 00:00:00 -0000

ros-jazzy-rmw-implementation (1.0.0-1noble) noble; urgency=high

  * Remove MANUAL_BY_NODE liveliness API (#101 <https://github.com/ros2/rmw_implementation/issues/101>)
  * Contributors: Ivan Santiago Paunovic

 -- William Woodall <william@openrobotics.org>  Tue, 12 May 2020 00:00:00 -0000

ros-jazzy-rmw-implementation (0.9.0-1noble) noble; urgency=high

  * Rename rosidl_message_bounds_t (#98 <https://github.com/ros2/rmw_implementation/issues/98>)
  * Adapt interfaces for service timestamps (#96 <https://github.com/ros2/rmw_implementation/issues/96>)
  * Add take_sequence to RMW API (#93 <https://github.com/ros2/rmw_implementation/issues/93>)
  * Export targets in addition to include directories / libraries (#97 <https://github.com/ros2/rmw_implementation/issues/97>)
  * Removed ament_cmake_python from package.xml (#95 <https://github.com/ros2/rmw_implementation/issues/95>)
  * Using get_env_var from rcpputils (#94 <https://github.com/ros2/rmw_implementation/issues/94>)
  * security-context -> enclave (#91 <https://github.com/ros2/rmw_implementation/issues/91>)
  * Fix dependency on rmw_implementation_cmake (#92 <https://github.com/ros2/rmw_implementation/issues/92>)
  * Removed poco dependency (#87 <https://github.com/ros2/rmw_implementation/issues/87>)
  * Use one participant per context API changes (#77 <https://github.com/ros2/rmw_implementation/issues/77>)
  * Add rmw_*_event_init() functions to rmw_implementation (#88 <https://github.com/ros2/rmw_implementation/issues/88>)
  * Moved rmw_implementation_cmake from depend to build_depend (#82 <https://github.com/ros2/rmw_implementation/issues/82>)
  * Removed python code (#85 <https://github.com/ros2/rmw_implementation/issues/85>)
  * Remove OpenSplice dependency (#79 <https://github.com/ros2/rmw_implementation/issues/79>)
  * Code style only: wrap after open parenthesis if not in one line (#78 <https://github.com/ros2/rmw_implementation/issues/78>)
  * Depend on rcpputils for find_library (#57 <https://github.com/ros2/rmw_implementation/issues/57>)
  * Added functions to get qos policies for publishers and subscribers to a topic (#72 <https://github.com/ros2/rmw_implementation/issues/72>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Eric Cousineau, Ingo Lütkebohle, Ivan Santiago Paunovic, Jacob Perron, Jaison Titus, Miaofei Mei, Michael Carroll, Mikael Arguedas

 -- William Woodall <william@openrobotics.org>  Sat, 25 Apr 2020 00:00:00 -0000

ros-jazzy-rmw-implementation (0.8.2-1noble) noble; urgency=high

  * Add support for Cyclone DDS. (#71 <https://github.com/ros2/rmw_implementation/issues/71>)
  * Contributors: Ruffin

 -- William Woodall <william@openrobotics.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-jazzy-rmw-implementation (0.8.1-1noble) noble; urgency=high

  * use return_loaned_message_from (#76 <https://github.com/ros2/rmw_implementation/issues/76>)
  * Add localhost boolean parameter to create node function (#75 <https://github.com/ros2/rmw_implementation/issues/75>)
  * Zero copy api (#69 <https://github.com/ros2/rmw_implementation/issues/69>)
  * Add Python API for RMW implementation lookups (#73 <https://github.com/ros2/rmw_implementation/issues/73>)
  * update signature for added pub/sub options (#74 <https://github.com/ros2/rmw_implementation/issues/74>)
  * remove unneeded line from CMakeLists (#70 <https://github.com/ros2/rmw_implementation/issues/70>)
  * Make middleware selection more independent of build-time package availability (#67 <https://github.com/ros2/rmw_implementation/issues/67>)
  * Contributors: Brian Marchi, Dan Rose, Karsten Knese, Michel Hidalgo, William Woodall

 -- William Woodall <william@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-jazzy-rmw-implementation (0.8.0-1noble) noble; urgency=high

  * Add function for getting clients by node (#62 <https://github.com/ros2/rmw_implementation/issues/62>)
  * add get_actual_qos() feature to subscriptions (#61 <https://github.com/ros2/rmw_implementation/issues/61>)
  * Contributors: Jacob Perron, M. M

 -- William Woodall <william@openrobotics.org>  Wed, 25 Sep 2019 00:00:00 -0000

ros-jazzy-rmw-implementation (0.7.1-1noble) noble; urgency=high

  * add interfaces for rmw_take_event and assert_liveliness (#60 <https://github.com/ros2/rmw_implementation/issues/60>)
  * Rmw preallocate (#51 <https://github.com/ros2/rmw_implementation/issues/51>)
  * Contributors: Michael Carroll, Nick Burek

 -- William Woodall <william@openrobotics.org>  Wed, 08 May 2019 00:00:00 -0000

ros-jazzy-rmw-implementation (0.7.0-1noble) noble; urgency=high

  * Add function rmw_get_actual_qos (#56 <https://github.com/ros2/rmw_implementation/issues/56>)
  * cmake: Add RMW_IMPLEMENTATION_FORCE_POCO (#59 <https://github.com/ros2/rmw_implementation/issues/59>)
  * add missing preload of rmw_set_log_severity (#55 <https://github.com/ros2/rmw_implementation/issues/55>)
  * Export threading library via extras and not ament_export_libraries to avoid warnings when cross-compiling (#53 <https://github.com/ros2/rmw_implementation/issues/53>)
  * pass context to wait set and fini context (#52 <https://github.com/ros2/rmw_implementation/issues/52>)
  * Contributors: Dirk Thomas, Eric Cousineau, Esteve Fernandez, William Woodall, ivanpauno

 -- William Woodall <william@openrobotics.org>  Sat, 13 Apr 2019 00:00:00 -0000

ros-jazzy-rmw-implementation (0.6.1-1noble) noble; urgency=high

  * Add node graph functions (#49 <https://github.com/ros2/rmw_implementation/issues/49>)
  * add new functions (#50 <https://github.com/ros2/rmw_implementation/issues/50>)
  * Methods to retrieve matched count on pub/sub. (#48 <https://github.com/ros2/rmw_implementation/issues/48>)
  * Contributors: Michael Carroll, Ross Desmond, William Woodall

 -- William Woodall <william@openrobotics.org>  Thu, 06 Dec 2018 00:00:00 -0000

ros-jazzy-rmw-implementation (0.6.0-1noble) noble; urgency=high

  * use semicolons after macros (#47 <https://github.com/ros2/rmw_implementation/issues/47>)
  * Include node namespaces in get_node_names. (#46 <https://github.com/ros2/rmw_implementation/issues/46>)
  * add rmw_get_serialization_format (#43 <https://github.com/ros2/rmw_implementation/issues/43>)
  * Contributors: Karsten Knese, Michael Carroll, William Woodall

 -- William Woodall <william@openrobotics.org>  Fri, 16 Nov 2018 00:00:00 -0000

ros-jazzy-rmw-implementation (0.5.1-1noble) noble; urgency=high

  * avoid recursive find (#44 <https://github.com/ros2/rmw_implementation/issues/44>)
  * Contributors: Dirk Thomas

 -- William Woodall <william@openrobotics.org>  Tue, 17 Jul 2018 00:00:00 -0000

ros-jazzy-rmw-implementation (0.5.0-1noble) noble; urgency=high

  * Prepare dependencies for bouncy release. (#41 <https://github.com/ros2/rmw_implementation/issues/41>)
  * _raw function (#31 <https://github.com/ros2/rmw_implementation/issues/31>)
  * print missing symbol name (#40 <https://github.com/ros2/rmw_implementation/issues/40>)
  * Merge pull request #39 <https://github.com/ros2/rmw_implementation/issues/39> from ros2/misra_fixup
  * Change #if to #ifdef
  * improve error messages (#37 <https://github.com/ros2/rmw_implementation/issues/37>)
  * API to enable log severity setting.  (#30 <https://github.com/ros2/rmw_implementation/issues/30>)
  * Contributors: Dirk Thomas, Karsten Knese, Michael Carroll, Sriram Raghunathan, Steven! Ragnarök

 -- William Woodall <william@openrobotics.org>  Sat, 23 Jun 2018 00:00:00 -0000

ros-jazzy-rmw-implementation (0.4.0-1noble) noble; urgency=high

  * Merge pull request #36 <https://github.com/ros2/rmw_implementation/issues/36> from ros2/rename_group
  * waitset -> wait_set (#34 <https://github.com/ros2/rmw_implementation/issues/34>)
  * Merge pull request #32 <https://github.com/ros2/rmw_implementation/issues/32> from ros2/rep149
  * use format 3
  * simplify code relaying all symbols (#29 <https://github.com/ros2/rmw_implementation/issues/29>)
  * Merge pull request #27 <https://github.com/ros2/rmw_implementation/issues/27> from ros2/fix_deadlock
  * prefetch all symbols in rmw_init to avoid later race
  * make resolved symbol static to significantly reduce the chance of a deadlock
  * Merge pull request #26 <https://github.com/ros2/rmw_implementation/issues/26> from ros2/uncrustify_master
  * update style to match latest uncrustify
  * Contributors: Dirk Thomas, Karsten Knese, Mikael Arguedas, Morgan Quigley, William Woodall, dhood

 -- William Woodall <william@openrobotics.org>  Fri, 08 Dec 2017 00:00:00 -0000


